com.beaglebuddy.id3.v24.frame_body

## Class ID3v24FrameBodyInvolvedPeopleList.InvolvedPerson

- java.lang.Object
- - com.beaglebuddy.id3.v24.frame_body.ID3v24FrameBodyInvolvedPeopleList.InvolvedPerson

- Enclosing class:
    ID3v24FrameBodyInvolvedPeopleList

      public static class ID3v24FrameBodyInvolvedPeopleList.InvolvedPerson
      extends java.lang.Object

  contains the involvement (what the person did) and the person's name.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ID3v24FrameBodyInvolvedPeopleList.InvolvedPerson(java.lang.String person, java.lang.String involvement)` constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getInvolvement()` get the person's involvement.
    `java.lang.String` | `getPerson()` get the name of the person involved.
    `void` | `setInvolvement(java.lang.String involvement)` set the person's involvement.
    `void` | `setPerson(java.lang.String person)` set the name of the person involved.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ID3v24FrameBodyInvolvedPeopleList.InvolvedPerson

          public ID3v24FrameBodyInvolvedPeopleList.InvolvedPerson(java.lang.String person,
                                                          java.lang.String involvement)

      constructor
      Parameters:
        `involvement` - what the person did, ie, how they were involved.
        `person` - the involved peron's name.

  - ### Method Detail

    - #### getPerson

          public java.lang.String getPerson()

      get the name of the person involved.
      Returns:
        the involved person's name.

    - #### setPerson

          public void setPerson(java.lang.String person)

      set the name of the person involved.
      Parameters:
        `person` - the name of the person involved.

    - #### getInvolvement

          public java.lang.String getInvolvement()

      get the person's involvement.
      Returns:
        the person's involvement.

    - #### setInvolvement

          public void setInvolvement(java.lang.String involvement)

      set the person's involvement.
      Parameters:
        `involvement` - the person's involvement.